Subject: Re: [PATCH] gitweb: prepare for repositories with packed refs.

From: Jakub Narebski <[email-masked]>
Date: Sat, 07 Oct 2006 13:31:06 +0200

Junio C Hamano wrote:

> Petr Baudis <[email-masked]> writes:
> 
>> Having HEAD a dangling
>> symlink is just wrong...
> 
> While I still disagree with this statement, as a practical
> issue, I think it might make sense to have an option to
> pack-refs to pack only tags, which are supposed to be mostly
> immutable.  Or even introduce --all option and make the default
> pack only tags.

+1. I was actually to asck if there is a way to pack only tags,
or perhaps even only true tags (i.e. using tag objects).

It's usually the number of tags that limits performance by being
I/O bound (for example for gitweb), and tags change rather rarely
so modyfying/adding/deleting packed ref need not to be over-optimized
for speed.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git